﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;
using System.Collections;

namespace RodokmenDiplomka
{
    public class Ged55Import
    {
        public Rodokmen Read(string path, System.Windows.Forms.ListBox listBox)
        {
            listBox.Items.Clear();
            listBox.Items.Insert(0, "Začíná import");
            Rodokmen rod;
            String line;
            List<GedToken> nacteno = new List<GedToken>();

            StreamReader sr = null ;
            try
            {
                sr = new StreamReader(path);                
                int pocet = 0;

                while (true)
                {
                    pocet++;
                    line = sr.ReadLine();
                        if(String.IsNullOrEmpty(line)) {
                        break;
                    }
                        listBox.Items.Insert(0,"Zpracovánám řádek: " + pocet);
                    //------------ logika parsování
                        if (line.Length > 2)
                        {
                            nacteno.Add(new GedToken(line));
                        }
                        else {
                            throw new Exception("Krátký řádek");
                        }
                    //------------
                }
            }
            catch (Exception e)
            {
                throw e;
            }
            finally {
                if (sr != null) {
                    sr.Close();
                    listBox.Items.Insert(0, "Zkončil import");                    
                }
            }
            return rod = new Rodokmen(nacteno);;
        }

        internal Rodokmen Read(string path)
        {
            Rodokmen rod;
            String line;
            List<GedToken> nacteno = new List<GedToken>();

            StreamReader sr = null;
            try
            {
                sr = new StreamReader(path);
                int pocet = 0;

                while (true)
                {
                    pocet++;
                    line = sr.ReadLine();
                    if (String.IsNullOrEmpty(line))
                    {
                        break;
                    }
                    //------------ logika parsování
                    if (line.Length > 2)
                    {
                        nacteno.Add(new GedToken(line));
                    }
                    else
                    {
                        throw new Exception("Krátký řádek");
                    }
                    //------------
                }
            }
            catch (Exception e)
            {
                throw e;
            }
            finally
            {
                if (sr != null)
                {
                    sr.Close();
                }
            }
            return rod = new Rodokmen(nacteno);
        }
    }
}
