﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RodokmenDiplomka
{
    public class GedToken
    {
        static char[] delimiterChars = { ' ','\t' };

        private string uroven;
        private string typ;
        private string pole;
        
        public GedToken(string radek) {
            if (radek.Length > 3) {
                string[] words = radek.Split(delimiterChars);
                if (words.Length > 0) {
                    uroven = words[0];
                }
                if (words.Length > 1)
                {
                    typ = words[1];
                }
                if (words.Length > 2)
                {
                    for (int i = 2; i < words.Length; i++)
                    {
                        pole += words[i] + " ";
                    }
                    pole = pole.Trim();
                }
            }
        }


        public string Uroven
        {
            get { return uroven; }
            set { uroven = value; }
        }


        public string Typ
        {
            get { return typ; }
            set { typ = value; }
        }


        public string Pole
        {
            get { return pole; }
            set { pole = value; }
        }


    }
}
